{
    "product-name": "Windows",
    "version": "2.0.0",
    "toolchain":"$PRODUCT_ROOT_DIR/buildtools/cmake/gcc-mingw64-x86_64_w64-mingw32.cmake",
    "build-mode": "Debug",
    "cxxflags" : "-fPIC -std=c++17 -Wno-error=implicit-function-declaration -Wno-error=int-conversion",
    "cflags":"-O3 -fPIC -Wunused-result -Wno-error=implicit-function-declaration -Wno-error=int-conversion",
    "ldflags":"",
    "modules":[
        {
            "name": "jsoncpp",
            "options": ["JSONCPP_WITH_TESTS=OFF"],
            "exports": ["JSONCPP_INCLUDE_DIR=$PRODUCT_ROOT_DIR/thirdparty/jsoncpp/include"]
        },
        {
            "name": "openssl",
            "exports":[
                "OPENSSL_ROOT_DIR=$PRODUCT_INSTALL_DIR/openssl"
            ]
        },
        {
            "name": "mbedtls"
        },
        {
            "name": "json-c"
        },
        {
            "name": "zlib",
            "exports":["ZLIB_LIBRARY=$PRODUCT_INSTALL_DIR/zlib/bin/libzlib.dll"]
        },
        {
            "name": "SQLiteCpp",
            "exports":["SQLITECPP_INCLUDE_DIR=$PRODUCT_ROOT_DIR/thirdparty/SQLiteCpp/include"]
        },
        {
            "name": "tinyxml2"
        },
        {
            "name": "libuv"
        },
        {
            "name": "libnet",
            "cflags":"-I$PRODUCT_VENDOR_DIR/npcap-sdk-1.13/Include -m64",
            "ldflags":"-L$PRODUCT_VENDOR_DIR/npcap-sdk-1.13/Lib/x64",
            "defines":["_Post_invalid_=\"\""]
        },
        {
            "name":"libevent",
            "options":["EVENT_LIBRARY_SHARED=OFF", "LIBEVENT_STATIC_LINK=ON", "EVENT__DISABLE_TESTS=ON", "EVENT__DISABLE_SAMPLES=ON", "EVENT__DISABLE_BENCHMARK=ON"]
        },
        {
            "name":"grpc",
            "options":[
                "BUILD_SHARED_LIBS=ON",
                "_gRPC_PROTOBUF_PROTOC_EXECUTABLE=$PRODUCT_ROOT_DIR/out/Linux/install/protobuf/bin/protoc",
                "_gRPC_CPP_PLUGIN=$PRODUCT_ROOT_DIR/out/Linux/install/grpc/bin/grpc_cpp_plugin",
                "CMAKE_MODULE_PATH=$PRODUCT_ROOT_DIR/thirdparty/xfrpc/cmake/Modules",
                "gRPC_USE_PROTO_LITE=OFF",
                "gRPC_BUILD_GRPC_CSHARP_PLUGIN=OFF",
                "gRPC_BUILD_GRPC_OBJECTIVE_C_PLUGIN=OFF",
                "gRPC_BUILD_GRPC_PHP_PLUGIN=OFF",
                "gRPC_BUILD_GRPC_PYTHON_PLUGIN=OFF",
                "gRPC_BUILD_GRPC_RUBY_PLUGIN=OFF",
                "gRPC_BUILD_GRPC_NODE_PLUGIN=OFF",
                "gRPC_BUILD_GRPC_CPP_PLUGIN=ON",
                "gRPC_BUILD_CODEGEN=ON",
                "gRPC_BUILD_TESTS=OFF",
                "ABSL_RUN_TESTS=OFF",
                "gRPC_ZLIB_PROVIDER=package",
                "gRPC_ABSL_PROVIDER=module",
                "gRPC_PROTOBUF_PROVIDER=module",
                "gRPC_SSL_PROVIDER=package"
            ],
            "exports":["GRPC_PROGROM_DIR=$PRODUCT_ROOT_DIR/out/Linux/install/grpc/bin"]
        }
    ]
}